## invada-studio-plugins-lv2 1.2.0+repack0

=== Makefile ===
#   Copyright (C) 2009 Fraser Stuart
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   


#####################################################################
# PLEASE CHANGE THIS to your preferred installation location!
#
# Change this if you want to install somewhere else. 

INSTALL_SYS_PLUGINS_DIR		=	/usr/local/lib/lv2
INSTALL_USER_PLUGINS_DIR	=	~/.lv2
INSTALL_BUNDLE_DIR		=	invada.lv2

# NO EDITING below this line is required
# if all you want to do is install and use the plugins.
#####################################################################


# GENERAL

SUBDIRS		=	plugin/library plugin plugingui/widgets plugingui
GLADEDIRS	=	plugingui/gtk 
DESTDIR		=	""

all:	        
	@for i in $(SUBDIRS); do \
        echo ""; \
        echo "=================================="; \
        echo "make all in $$i"; \
        echo "=================================="; \
        (cd $$i; $(MAKE) ); done
	@echo ""

glade:	        
	@for i in $(GLADEDIRS); do \
        echo ""; \
        echo "=================================="; \
        echo "make all in $$i"; \
        echo "=================================="; \
        (cd $$i; $(MAKE) ); done
	@echo ""


# OTHER TARGETS

install:
	@echo ""
	@echo "use 'make install-user' to install in $(INSTALL_USER_PLUGINS_DIR) or 'make install-sys' to install in $(DESTDIR)$(INSTALL_SYS_PLUGINS_DIR)"
	@echo ""

install-sys: 
	@echo ""
	@echo "=================================="; 
	@echo "Installing into $(DESTDIR)$(INSTALL_SYS_PLUGINS_DIR)"; 
	@echo "=================================="; 
	-mkdir -p		$(DESTDIR)$(INSTALL_SYS_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)
	-mkdir -p		$(DESTDIR)$(INSTALL_SYS_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)/gtk
	cp plugin/*.so 		$(DESTDIR)$(INSTALL_SYS_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)
	cp plugingui/*.so	$(DESTDIR)$(INSTALL_SYS_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)
	cp rdf/*.ttl 		$(DESTDIR)$(INSTALL_SYS_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)
	cp plugingui/gtk/*.png	$(DESTDIR)$(INSTALL_SYS_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)/gtk
	cp plugingui/gtk/*.xml	$(DESTDIR)$(INSTALL_SYS_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)/gtk
	@echo ""

install-user: 
	@echo ""
	@echo "=================================="; 
	@echo "Installing into $(INSTALL_USER_PLUGINS_DIR)"; 
	@echo "=================================="; 
	-mkdir -p		$(INSTALL_USER_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)
	-mkdir -p		$(INSTALL_USER_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)/gtk
	cp plugin/*.so 		$(INSTALL_USER_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)
	cp plugingui/*.so	$(INSTALL_USER_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)
	cp rdf/*.ttl 		$(INSTALL_USER_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)
	cp plugingui/gtk/*.png	$(INSTALL_USER_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)/gtk
	cp plugingui/gtk/*.xml	$(INSTALL_USER_PLUGINS_DIR)/$(INSTALL_BUNDLE_DIR)/gtk
	@echo ""


always:	

clean:
	@echo ""
	-rm -f `find . -name "*.so"`
	-rm -f `find . -name "*.a"`
	-rm -f `find . -name "*.o"`
	-rm -f `find . -name "*~"`
	@echo ""

veryclean:
	@echo ""
	-rm -f `find . -name "*.so"`
	-rm -f `find . -name "*.a"`
	-rm -f `find . -name "*.o"`
	-rm -f `find . -name "*.xml"`
	-rm -f `find . -name "*~"`
	@echo ""

=== plugin/Makefile ===
#   Copyright (C) 2009 Fraser Stuart
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   


# GENERAL

CC		=	gcc
LD		=	gcc
CFLAGS		=	-I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC
LDFLAGS		=	-shared -Llibrary -lc -lm  -linv_common -fPIC -DPIC

PLUGINS		=	inv_compressor.so \
                        inv_delay.so \
                        inv_erreverb.so \
                        inv_filter.so \
                        inv_input.so \
                        inv_meter.so \
                        inv_phaser.so \
                        inv_testtone.so \
                        inv_tube.so \

all:	$(PLUGINS)
	

# RULES TO BUILD PLUGINS FROM C CODE

inv_compressor.so:	inv_compressor.o	inv_compressor.h
inv_delay.so:		inv_delay.o		inv_delay.h    
inv_erreverb.so:	inv_erreverb.o		inv_erreverb.h    
inv_filter.so:		inv_filter.o		inv_filter.h    
inv_input.so:		inv_input.o		inv_input.h   
inv_meter.so:		inv_meter.o		inv_meter.h   
inv_phaser.so:		inv_phaser.o		inv_phaser.h   
inv_testtone.so:	inv_testtone.o		inv_testtone.h   
inv_tube.so:		inv_tube.o		inv_tube.h     
     

# OTHER TARGETS

targets:	$(PLUGINS)

always:	

clean:
	-rm -f *.so
	-rm -f *.o
	-rm -f *~

%.o: %.c
	@echo "Compiling $<"
	@$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@ 

%.so: %.o
	@echo "Creating  $@"
	@$(LD) -o $@ $< $(LDFLAGS)

=== plugingui/Makefile ===
#   Copyright (C) 2009 Fraser Stuart
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   


# GENERAL

CC		=	gcc
LD		=	gcc
CFLAGS		=	-I. `pkg-config --cflags cairo gtk+-2.0` -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC
LDFLAGS		=	-shared -Lwidgets -L../plugin/library -lc -lm -linv_widgets -linv_common `pkg-config --libs cairo gtk+-2.0` -fPIC -DPIC


GUIS		=	inv_compressor_gui.so \
			inv_delay_gui.so \
			inv_erreverb_gui.so \
			inv_filter_gui.so \
			inv_input_gui.so \
			inv_meter_gui.so \
			inv_phaser_gui.so \
			inv_testtone_gui.so \
			inv_tube_gui.so \


all:	$(GUIS) 
     
# RULES TO BUILD GUIS FROM C CODE

inv_compressor_gui.so: inv_compressor_gui.o	../plugin/inv_compressor.h	inv_compressor_gui.h   
inv_delay_gui.so:      inv_delay_gui.o		../plugin/inv_delay.h		inv_delay_gui.h   
inv_erreverb_gui.so:   inv_erreverb_gui.o	../plugin/inv_erreverb.h	inv_erreverb_gui.h   
inv_filter_gui.so:     inv_filter_gui.o		../plugin/inv_filter.h		inv_filter_gui.h   
inv_input_gui.so:      inv_input_gui.o		../plugin/inv_input.h		inv_input_gui.h   
inv_meter_gui.so:      inv_meter_gui.o		../plugin/inv_meter.h		inv_meter_gui.h  
inv_phaser_gui.so:     inv_phaser_gui.o		../plugin/inv_phaser.h		inv_phaser_gui.h  
inv_testtone_gui.so:   inv_testtone_gui.o	../plugin/inv_testtone.h	inv_testtone_gui.h  
inv_tube_gui.so:       inv_tube_gui.o		../plugin/inv_tube.h		inv_tube_gui.h 


# OTHER TARGETS

targets: $(GUIS)

always:	

clean:
	-rm -f *.so
	-rm -f *.o
	-rm -f *~

%.o: %.c
	@echo "Compiling $<"
	@$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@ 

%.so: %.o
	@echo "Creating  $@"
	@$(LD) -o $@ $< $(LDFLAGS)

=== plugin/library/Makefile ===
#   Copyright (C) 2009 Fraser Stuart
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   

# GENERAL

CC		=	gcc
LD		=	ld
CFLAGS		=	-I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC



all:			libinv_common.a

# RULES TO BUILD LIBRARIES FROM C CODE

libinv_common.a:	common.o	common.h 
			@echo "Creating libinv_common.a"
			@ar rcs libinv_common.a common.o


# OTHER TARGETS


targets:		libinv_common.a

always:	

clean:
			-rm -f *.a
			-rm -f *.o
			-rm -f *~

%.o: %.c
			@echo "Compiling $<"
			@$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

=== plugingui/gtk/Makefile ===
#   Copyright (C) 2009 Fraser Stuart
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   


GLADES		=	inv_compressor_gui.xml \
			inv_delay_gui.xml \
			inv_erreverb_gui.xml \
			inv_filter_gui.xml \
			inv_input_gui.xml \
			inv_meter_gui.xml \
			inv_phaser_gui.xml \
			inv_testtone_gui.xml \
			inv_tube_gui.xml \


all:	$(GLADES)

# RULES TO BUILD XML 

inv_compressor_gui.xml:	inv_compressor_gui.glade
inv_delay_gui.xml:	inv_delay_gui.glade
inv_erreverb_gui.xml:	inv_erreverb_gui.glade
inv_filter_gui.xml:	inv_filter_gui.glade
inv_input_gui.xml:	inv_input_gui.glade
inv_meter_gui.xml:	inv_meter_gui.glade
inv_phaser_gui.xml:	inv_phaser_gui.glade
inv_testtone_gui.xml:	inv_testtone_gui.glade
inv_tube_gui.xml:	inv_tube_gui.glade


# OTHER TARGETS


targets:	$(GLADES)

always:	

clean:
	-rm -f *.xml
	-rm -f *~

%.xml: %.glade
	@echo "Generating $@"
	@gtk-builder-convert $< $@

=== plugingui/widgets/Makefile ===
#   Copyright (C) 2009 Fraser Stuart
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   

# GENERAL

CC		=	gcc
LD		=	ld
CFLAGS		=	-I. `pkg-config --cflags gtk+-2.0`  -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC



all:			libinv_widgets.a

# RULES TO BUILD LIBRARIES FROM C CODE

libinv_widgets.a:	widgets.o		widgets.h \
			display-Compressor.o    display-Compressor.h \
			display-FrequencyGain.o display-FrequencyGain.h \
			display-ErReverb.o      display-ErReverb.h \
			display-Spectrograph.o  display-Spectrograph.h \
			knob.o                  knob.h \
			lamp.o                  lamp.h \
			meter-peak.o            meter-peak.h \
			meter-phase.o           meter-phase.h \
			meter-vu.o              meter-vu.h \
			switch-toggle.o         switch-toggle.h 
			@echo "Creating libinv_widgets.a"
			@ar rcs libinv_widgets.a \
				widgets.o \
				display-Compressor.o \
				display-ErReverb.o \
				display-FrequencyGain.o \
				display-Spectrograph.o \
				knob.o \
				lamp.o \
				meter-peak.o \
				meter-phase.o \
				meter-vu.o \
				switch-toggle.o
				

# OTHER TARGETS


targets:		libinv_widgets.a

always:	

clean:
			-rm -f *.a
			-rm -f *.o
			-rm -f *~

%.o: %.c
			@echo "Compiling $<"
			@$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

## invada-studio-plugins-lv2 1.2.0%2Brepack0

=== debian/control ===
Source: invada-studio-plugins-lv2
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               fakeroot,
               libgtk2.0-dev,
               lv2-dev,
Standards-Version: 4.7.0
Homepage: https://launchpad.net/invada-studio/+download
Vcs-Browser: https://salsa.debian.org/debian/invada-studio-plugins-lv2
Vcs-Git: https://salsa.debian.org/debian/invada-studio-plugins-lv2.git

Package: invada-studio-plugins-lv2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: lv2-plugin,
Suggests: ardour,
          jalv,
Description: Invada Studio Plugins - a set of LV2 audio plugins
 Distortion Plugins
   Tube - (Mono and Stereo version)
 Valve warmth/distortion simulation.
 .
 Delay Plugins
   Delay Munge - (Mono and Sum version)
 Delay with munged (non-linear) feedback & delay calculator.
 .
 Dynamics Plugins
   Compressor - (Mono and Stereo version)
 Peak/RMS soft-clipping compressor.
 .
 Filter Plugins
   Low Pass (Mono and Stereo version)
   High Pass (Mono and Stereo version)
 Gentle high pass and low pass filters.
 .
 Phaser Plugins
   Stereo Phaser (Mono, Stereo and Sum version)
 Long slow stereo phaser.
 .
 Reverb Plugins
   ER Reverb - (Mono and Sum version)
 Early reflection based reverb.
 .
 Utility Plugins
   Input Module (Stereo only)
 Alter gain, balance, width, phase on a stereo signal.
   Meters (Stereo only)
 Peak, VU, Phase and spectrograph meters.
   Test Tones (Mono only)
 Generate testtones at specific frequencies.

## invada-studio-plugins-lv2 1.2.0+repack0

=== debian/changelog ===
invada-studio-plugins-lv2 (1.2.0+repack0-1) unstable; urgency=low

  * Team upload.

  [ Jaromír Mikeš ]
  * Added DM-Upload-Allowed: yes
  * Changed link to GPL-2 instead of GPL.
  * Added invada-studio-plugins-lv2.lintian-overrides file

  [ Alessio Treglia ]
  * Imported Upstream version 1.2.0+repack0:
    - Get rid of lv2_ui.h, now provided from lv2-extensions-good.
  * Switch to 3.0 (quilt) format.
  * Link with --as-needed.
  * debian/control: Single-space indentation, remove trailing dot from the
    description.
  * Build-depend on lv2-extensions-good.
  * Add patch to point the #include statements to the right location of the
    ui-ext's header.
  * Remove copyright notice about lv2_ui.h.
  * Add gbp config file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Jun 2011 11:09:06 +0200

invada-studio-plugins-lv2 (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #540044)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 Sep 2009 05:33:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,33 @@
 Source: invada-studio-plugins-lv2
 Section: sound
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13),
-               fakeroot,
-               libgtk2.0-dev,
-               lv2-dev,
-Standards-Version: 4.7.0
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Free Ekanayaka <freee@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
+Build-Depends: debhelper (>= 7.0.0),
+ fakeroot,
+ libgtk2.0-dev,
+ lv2-extensions-good,
+ lv2core
+DM-Upload-Allowed: yes
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/git/pkg-multimedia/invada-lv2.git
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/invada-lv2.git;a=summary
 Homepage: https://launchpad.net/invada-studio/+download
-Vcs-Browser: https://salsa.debian.org/debian/invada-studio-plugins-lv2
-Vcs-Git: https://salsa.debian.org/debian/invada-studio-plugins-lv2.git
 
 Package: invada-studio-plugins-lv2
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Provides: lv2-plugin,
-Suggests: ardour,
-          jalv,
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libcairo2,
+ libgnome2-0,
+ libglade2-0,
+ libxml2,
+ libglib2.0-0,
+ libgtk2.0-0
+Provides: lv2-plugin
+Suggests: zynjacku,
+ ardour
 Description: Invada Studio Plugins - a set of LV2 audio plugins
  Distortion Plugins
    Tube - (Mono and Stereo version)
@@ -41,8 +51,8 @@
  Long slow stereo phaser.
  .
  Reverb Plugins
-   ER Reverb - (Mono and Sum version)
- Early reflection based reverb.
+   ER Reverb - (Mono and Sum version) 
+ Early reflection based reverb. 
  .
  Utility Plugins
    Input Module (Stereo only)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

LDFLAGS+=-Wl,--as-needed
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	$(MAKE) install-sys INSTALL_SYS_PLUGINS_DIR=$(CURDIR)/debian/invada-studio-plugins-lv2/usr/lib/lv2 


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

https://launchpad.net/invada-studio/+download/ \
http://launchpad.net/invada-studio/lv2/\d\.\d/\+download/invada-studio-plugins-lv2_(.*)-nopkg.tgz

## invada-studio-plugins-lv2 1.2.0-0

=== debian/changelog ===
invada-studio-plugins-lv2 (1.2.0-0) unstable; urgency=low

  * Added new plugin 'Meters'.
  * Envelope attack & decay for meters now consistant across sample rates.
  * Improved font selection for widgets for compatibility across different systems.
  * Initialised uninitialised variables in the delay plugin (thx Damon).
  * Added LV2 'Portgroups' extension to RDF's (thx Dave).
  * 'DESTDIR' make option to help packagers (thx Philipp).
  * Various GUI tweaks.

 -- Fraser Stuart (Obleak) <fraser@arkhostings.com>  Sun, 23 Aug 2009 18:00:00 +1000

invada-studio-plugins-lv2 (1.1.0-0) unstable; urgency=low

  * Added new plugin 'Delay - Munge'.
  * Added new plugn 'Test Tones'
  * Added interpolation / fading to eliminate zipping from changing controls.
  * Updated rdf as per http://lists.lv2plug.in/pipermail/devel-lv2plug.in/2009-June/000226.html
  * Added extended port properties to rdf
  * Backed out changes to support lv2rack as it now behaves as expected.
  * Various GUI tweaks.

 -- Fraser Stuart (Obleak) <fraser@arkhostings.com>  Sun, 5 Jul 2009 18:00:00 +1000

invada-studio-plugins-lv2 (1.0.1-0) unstable; urgency=low

  * Disabled tool-tips while widgets are being interacted with.
  * Fixed makefile compile & linking options (Bug #381945).
  * Fixed multile RDF errors affecting host compatibility (Bugs #382021, 
    #382147, #382150 & #382151).
  * Made the plugins more tolerant of differing implementations of the UI 
    Extension (Bug #382147).

 -- Fraser Stuart (Obleak) <fraser@arkhostings.com>  Sat, 6 Jun 2009 20:00:00 +1000

invada-studio-plugins-lv2 (1.0.0-0) unstable; urgency=low

  * Initial Release.

 -- Fraser Stuart (Obleak) <fraser@arkhostings.com>  Sat, 30 May 2009 16:00:00 +1000

=== debian/control ===
Source: invada-studio-plugins-lv2
Section: sound
Priority: optional
Maintainer: Fraser Stuart (Obleak) <fraser@arkhostings.com>
Build-Depends: debhelper (>= 4.0.0), fakeroot, libgtk2.0-dev, lv2core
Standards-Version: 3.7.3.0

Package: invada-studio-plugins-lv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcairo2, libgnome2-0, libglade2-0, libxml2, libglib2.0-0, libgtk2.0-0
Provides: lv2-plugin
Suggests: ardour
Homepage: https://launchpad.net/invada-studio
Description: Invada Studio Plugins - a set of LV2 audio plugins
  Distortion Plugins
  * Tube - (Mono and Stereo version)
 Valve warmth/distortion simulation.
 .
  Delay Plugins
  * Delay Munge - (Mono and Sum version)
 Delay with munged (non-linear) feedback & delay calculator.
 .
  Dynamics Plugins
  * Compressor - (Mono and Stereo version)
 Peak/RMS soft-clipping compressor.
 .
  Filter Plugins
  * Low Pass (Mono and Stereo version)
  * High Pass (Mono and Stereo version)
 Gentle high pass and low pass filters.
 .
  Phaser Plugins
  * Stereo Phaser (Mono, Stereo and Sum version)
 Long slow stereo phaser.
 .
  Reverb Plugins
  * ER Reverb - (Mono and Sum version) 
 Early reflection based reverb. 
 .
  Utility Plugins
  * Input Module (Stereo only)
 Alter gain, balance, width, phase on a stereo signal.
  * Meters (Stereo only)
 Peak, VU, Phase and spectrograph meters.
  * Test Tones (Mono only)
 Generate testtones at specific frequencies.
 .

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,14 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
-LDFLAGS+=-Wl,--as-needed
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# These are used for cross-compiling and for saving the configure script
+# # from having to guess our platform (since we know it already)
+# DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+# DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -18,6 +25,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	# Add here commands to configure the package.
 
 	touch configure-stamp
 
@@ -27,6 +35,7 @@
 build-stamp: configure-stamp 
 	dh_testdir
 
+	# Add here commands to compile the package.
 	$(MAKE) 
 
 	touch build-stamp
@@ -36,16 +45,18 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
-	[ ! -f Makefile ] || $(MAKE) clean
+	# Add here commands to clean up after the build process.
+	-$(MAKE) clean
 
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_prep 
+	dh_clean -k 
 	dh_installdirs
 
+	# Add here commands to install the package.
 	$(MAKE) install-sys INSTALL_SYS_PLUGINS_DIR=$(CURDIR)/debian/invada-studio-plugins-lv2/usr/lib/lv2 
 
 
@@ -60,11 +71,23 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
+#	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
+#	dh_perl
+#	dh_python
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
